Skip to main content
POST
Close a billing account

Authorizations

Authorization
string
header
required

Bearer token for the authenticated caller.

Headers

idempotency-key
string

Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.

Required string length: 1 - 64
Example:

"create-prod-2026-05-07"

if-match
string
required

The etag of the resource version the client last read. Required on writes when the resource exposes an etag field. Mismatch returns 409 ABORTED with the current etag in the error metadata.

Required string length: 1 - 256
Example:

"42"

Path Parameters

billing_account
string
required
Required string length: 3 - 54

Body

application/json
reason
string
Required string length: 1 - 512

Response

BillingAccount

id
string
required
Required string length: 3 - 54
name
string
required
Pattern: ^billingAccounts\/bac_[A-Za-z0-9]+$
Example:

"billingAccounts/bac_4kQ9mXr2Tz7Lw1"

organization_id
string
required
Required string length: 3 - 54
display_name
string
required
Required string length: 1 - 100
state
enum<string>
required
Available options:
PENDING,
ACTIVE,
CLOSED
payment_method
object
required
currency_code
enum<string>
required
Available options:
EUR
conditions
object[]
required

Problems and notable facts that hold now, beside state; empty when there are none. See each reason in the resource description.

Maximum array length: 32
created_at
integer
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
updated_at
integer
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
closed_at
integer | null
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
etag
string
required
Maximum string length: 64